Subject: 'font-alias' breaks other xorg font packages when installed in a single profile

From: Alex Kost <[email-masked]>
Date: Sun, 06 Dec 2015 12:19:29 +0300

I install several xorg font packages (font-adobe75dpi, font-adobe100dpi,
font-misc-misc and font-alias) in one of my profiles, and point my Xorg
font path to this directory.  Previously it worked fine, but after
commit bf9655f¹, I cannot use this anymore, because the empty
"fonts.dir" files from 'font-alias' packages override the proper
"fonts.dir" files from the other packages.

So since it was a workaround for Xorg server behaviour, I wonder would
it be possible to modify 'xorg-server' package instead?  So that along
with directories with "fonts.dir" files, Xorg server would also handle
directories that have "fonts.alias" files.

Anyway, I don't insist on reverting this commit, as I'm rather happy
using the following package (Guix is great!):

(define-public font-alias-pure
  (package
    (inherit font-alias)
    (name "font-alias-pure")
    (arguments '())
    (synopsis (string-append (package-synopsis font-alias)
                             " (upstream package without modifications)"))))

¹ http://git.savannah.gnu.org/cgit/guix.git/commit/?id=bf9655f57d2442d56661594b80f6d0031ca0ae73

-- 
Alex